Subject: Re: [bug#39258] KMP string search algorithm?

From: Arun Isaac <[email-masked]>
Date: Tue, 02 Jun 2020 05:18:51 +0530

> I also recommend taking a look at the Boyer Moore string search
> implementation in (guix build grafts).

Nice, I didn't know Guix had an implementation of Boyer Moore. I'll take
a look at it. At the very least, I need something similar for
guile-email.

But, the current implementation of guile's string-contains is in C. So,
I assume a KMP or Boyer Moore implementation of string-contains should
also be in C.